| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParameterProperty_t Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Qos Module

`#include <ParameterTypes.hpp>`

## Public Member Functions

| ParameterProperty_t ()
| Constructor without parameters.
| ParameterProperty_t (void *ptr)
| Constructor using a pointer.
std::string | first () const
| Getter for the first element in data.
std::string | second () const
| Getter for the second element in data.
bool | modify (const std::pair< std::string, std::string > &new_value)
| Setter using a pair of strings.
std::pair< const std::string, const std::string > | pair () const
| Getter that returns a pair of the first and second elements in data.
uint32_t | size () const
| Getter for data size.
bool | operator== (const ParameterProperty_t &b) const
bool | operator!= (const ParameterProperty_t &b) const

## Friends

class | ParameterPropertyList_t

## Constructor & Destructor Documentation

## ◆ ParameterProperty_t() [1/2]

ParameterProperty_t | ( |  | ) |

inline

Constructor without parameters.

## ◆ ParameterProperty_t() [2/2]

ParameterProperty_t | ( | void * | ptr | ) |

inline explicit

Constructor using a pointer.

Parameters

  ptr | Pointer to be set as data

## Member Function Documentation

## ◆ first()

std::string first | ( |  | ) | const

inline

Getter for the first element in data.

Returns
  string with the data

## ◆ modify()

bool modify | ( | const std::pair< std::string, std::string > & | new_value | ) |

inline

Setter using a pair of strings.

Parameters

  new_value | Pair of strings with the new values

Returns
  true if the modification is done correctly and false if the size of the new_value is not valid

## ◆ operator!=()

bool operator!= | ( | const ParameterProperty_t & | b | ) | const

inline

## ◆ operator==()

bool operator== | ( | const ParameterProperty_t & | b | ) | const

inline

## ◆ pair()

std::pair< const std::string, const std::string > pair | ( |  | ) | const

inline

Getter that returns a pair of the first and second elements in data.

Returns
  Pair of strings with the first and second elements data

## ◆ second()

std::string second | ( |  | ) | const

inline

Getter for the second element in data.

Returns
  string with the data

## ◆ size()

uint32_t size | ( |  | ) | const

inline

Getter for data size.

Returns
  uint32_t with the size

## Friends And Related Symbol Documentation

## ◆ ParameterPropertyList_t

friend class ParameterPropertyList_t

friend

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ParameterTypes.hpp